Bug 10930 - висим при "обновить"
: висим при "обновить"
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-packages)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-02-26 02:34 by
Modified: 2008-06-13 12:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-26 02:34:24
$ rpm -q alterator-packages
alterator-packages-0.5.2-alt6

запускаю, нажимаю "обновить" - появляется окно "обновление индексов" - прогресс 
не ползёт, бесконечное ожидание, понимаю что поможет только kill.

в процессах
$ ps -A | egrep "apt|alterator"
11918 ?        00:00:00 alterator-stand
11924 ?        00:00:00 alterator-stand
11925 ?        00:00:05 alterator
11926 pts/3    00:00:02 alterator-brows
11988 ?        00:00:03 apt-pipe
12005 ?        00:00:00 alterator-mail
------- Comment #1 From 2007-02-26 10:46:29 -------
Reassign to mantainer
------- Comment #2 From 2007-02-26 13:45:23 -------
в sources.list и sources.list.d/* что ?
------- Comment #3 From 2007-02-26 13:52:38 -------
бишь, обычный apt-get update при этом работает ?
------- Comment #4 From 2007-02-26 22:15:52 -------
да, с update проблем нет
# apt-get update
Get:1 ftp://altlinux.kld.ru i586 release [721B]
Get:2 ftp://altlinux.kld.ru i386 release [709B]
Get:3 ftp://altlinux.kld.ru i686 release [709B]
Get:4 ftp://altlinux.kld.ru noarch release [719B]
Fetched 2858B in 4s (619B/s)
Hit ftp://altlinux.kld.ru i586/classic pkglist
Hit ftp://altlinux.kld.ru i586/classic release
Hit ftp://altlinux.kld.ru i386/classic pkglist
Hit ftp://altlinux.kld.ru i386/classic release
Hit ftp://altlinux.kld.ru i686/classic pkglist
Hit ftp://altlinux.kld.ru i686/classic release
Hit ftp://altlinux.kld.ru noarch/classic pkglist
Hit ftp://altlinux.kld.ru noarch/classic release
Reading Package Lists... Done
Building Dependency Tree... Done

на всякий случай
# grep ^[^#] -R /etc/apt/sources.list*
/etc/apt/sources.list.DD:rpm file:/var/ftp/ pub/ALTLinux/Sisyphus/i586 classic
/etc/apt/sources.list.DD:rpm file:/var/ftp/ pub/ALTLinux/Sisyphus/noarch 
classic
/etc/apt/sources.list.DD:rpm file:/var/ftp/ pub/ALTLinux/Daedalus/i586 classic
/etc/apt/sources.list.M23:rpm file:/var/ftp/ pub/ALTLinux/Compact/2.3 main 
contribs
/etc/apt/sources.list.M23:rpm file:/var/ftp/ 
pub/ALTLinux/Updates/Compact/2.3/i586 updates
/etc/apt/sources.list.M23:rpm file:/var/ftp/ pub/ALTLinux/backports/2.3/i586 
backports
/etc/apt/sources.list.M24:rpm file:/var/ftp/ pub/ALTLinux/Master/2.4/i586 main 
contrib
/etc/apt/sources.list.M24:rpm file:/var/ftp/ 
pub/ALTLinux/Updates/Master/2.4/i586 updates
/etc/apt/sources.list.M24:rpm file:/var/ftp/ pub/ALTLinux/backports/2.4/i586 
backports
/etc/apt/sources.list.M30:rpm file:/var/ftp/ pub/ALTLinux/Compact/3.0/i586 main 
contrib
/etc/apt/sources.list.M30:rpm file:/var/ftp/ pub/ALTLinux/Updates/3.0/i586 
updates
/etc/apt/sources.list.M30:rpm file:/var/ftp/ pub/ALTLinux/backports/3.0/i586 
backports
/etc/apt/sources.list.M31:rpm file:/var/ftp/ pub/ALTLinux/Compact/3.1/i586 main 
contrib
/etc/apt/sources.list.M31:rpm file:/var/ftp/ pub/ALTLinux/Compact/3.1/noarch 
main contrib
/etc/apt/sources.list.M31:rpm file:/var/ftp/ pub/ALTLinux/Updates/3.1/i586 
updates
/etc/apt/sources.list.M31:rpm file:/var/ftp/ pub/ALTLinux/backports/3.1/i586 
backports
/etc/apt/sources.list.SS:rpm file:/var/ftp/ pub/ALTLinux/Sisyphus/i586 classic
/etc/apt/sources.list.SS:rpm file:/var/ftp/ pub/ALTLinux/Sisyphus/noarch 
classic
/etc/apt/sources.list.d/sisyphus.kld.list:rpm [alt] 
ftp://altlinux:altlinux@altlinux.kld.ru/Sisyphus i586 classic
/etc/apt/sources.list.d/sisyphus.kld.list:rpm [alt] 
ftp://altlinux:altlinux@altlinux.kld.ru/Sisyphus i386 classic
/etc/apt/sources.list.d/sisyphus.kld.list:rpm [alt] 
ftp://altlinux:altlinux@altlinux.kld.ru/Sisyphus i686 classic
/etc/apt/sources.list.d/sisyphus.kld.list:rpm [alt] 
ftp://altlinux:altlinux@altlinux.kld.ru/Sisyphus noarch classic
------- Comment #5 From 2007-03-22 16:35:53 -------
fixed in 0.5.2-alt7 [i hope]
------- Comment #6 From 2007-03-23 09:37:01 -------
к сожалению проверить не могу, ибо теперь он даже не запускается :-) #11197
------- Comment #7 From 2007-03-25 10:26:04 -------
не подтверждаю. в 0.5.2-alt8 висим как и ранее, пока не прибить.

$ config-packages
socket path /tmp/alterator/browser-sock ...
here...
mailbox message:"progress" "begin" ""
end of processing....
here...
mailbox message:"progress" "update" "16"
end of processing....
here...
mailbox message:"step" "ftp://altlinux.kld.ru
end of processing....
here...
mailbox message:"step" "ftp://altlinux.kld.ru
end of processing....
here...
mailbox message:"step" "ftp://altlinux.kld.ru
end of processing....
here...
mailbox message:"step" "ftp://altlinux.kld.ru
end of processing....
here...
mailbox message:"step" "ftp://altlinux.kld.ru
end of processing....
here...
mailbox message:"step" "ftp://altlinux.kld.ru
end of processing....
here...
mailbox message:"step" "ftp://altlinux.kld.ru
end of processing....
here...
mailbox message:"step" "ftp://altlinux.kld.ru
end of processing....
here...
mailbox message:"step" "ftp://altlinux.kld.ru
end of processing....
here...
mailbox message:"step" "ftp://altlinux.kld.ru
end of processing....
here...
mailbox message:"step" "ftp://altlinux.kld.ru
end of processing....
here...
mailbox message:"step" "ftp://altlinux.kld.ru
end of processing....
here...
mailbox message:"progress" "end" ""
end of processing....
alterator-browser-x11: Fatal IO error: client killed
/usr/share/guile/1.6/alterator/exit-handler.scm:19:7: In procedure scm_lreadr 
in expression (apply throw args):
/usr/share/guile/1.6/alterator/exit-handler.scm:19:7: end of file in string 
constant
connect(): Permission denied
connect(): Permission denied


при этом всё что я вижу - это ни на что не реагирующее окошко с обновлением, и 
неползущий в нём прогресс.
------- Comment #8 From 2007-03-25 13:56:03 -------
а на что там permission denied ?
------- Comment #9 From 2007-03-25 15:00:02 -------
0.5.2-alt9
------- Comment #10 From 2007-03-26 10:45:02 -------
вот теперь действительно работает :-)
0.5.2-alt9 - ok